Changeset 2148


Ignore:
Timestamp:
Mar 29, 2011 6:41:55 AM (10 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2123 r2148  
    17121712  if test "x$have_svnversion" = xyes; then
    17131713
    1714     svn_rev_tmp=`cd $srcdir/$coin_has_lapack ; svnversion`
    1715     LAPACK_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    1716     if test $LAPACK_SVN_REV != exported; then
     1714    svn_rev_tmp=`LANG=en_EN svnversion $srcdir 2>/dev/null`
     1715    if test "$LAPACK_SVN_REV" != exported; then
     1716      LAPACK_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    17171717
    17181718cat >>confdefs.h <<_ACEOF
     
    39313931
    39323932# Get the linker flags (FLIBS) that are required for linking against this library
     3933
     3934# get FLIBS
    39333935ac_ext=f
    39343936ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    39823984ac_save_FFLAGS=$FFLAGS
    39833985FFLAGS="$FFLAGS $ac_verb"
    3984 (eval echo $as_me:3984: \"$ac_link\") >&5
     3986(eval echo $as_me:3986: \"$ac_link\") >&5
    39853987ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39863988echo "$ac_f77_v_output" >&5
     
    40604062ac_save_FFLAGS=$FFLAGS
    40614063FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4062 (eval echo $as_me:4062: \"$ac_link\") >&5
     4064(eval echo $as_me:4064: \"$ac_link\") >&5
    40634065ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40644066echo "$ac_f77_v_output" >&5
     
    42264228
    42274229
    4228 ac_ext=f
    4229 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4230 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4231 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4232 
    4233 ac_ext=f
    4234 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4235 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4236 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4237 
    4238 echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
    4239 echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
    4240 if test "${ac_cv_f77_dummy_main+set}" = set; then
    4241   echo $ECHO_N "(cached) $ECHO_C" >&6
    4242 else
    4243   ac_f77_dm_save_LIBS=$LIBS
    4244  LIBS="$LIBS $FLIBS"
    4245  ac_fortran_dm_var=F77_DUMMY_MAIN
    4246  ac_ext=c
     4230ac_ext=c
    42474231ac_cpp='$CPP $CPPFLAGS'
    42484232ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    42504234ac_compiler_gnu=$ac_cv_c_compiler_gnu
    42514235
    4252  # First, try linking without a dummy main:
    4253  cat >conftest.$ac_ext <<_ACEOF
    4254 /* confdefs.h.  */
    4255 _ACEOF
    4256 cat confdefs.h >>conftest.$ac_ext
    4257 cat >>conftest.$ac_ext <<_ACEOF
    4258 /* end confdefs.h.  */
    4259 
    4260 #ifdef F77_DUMMY_MAIN
    4261 
    4262 #  ifdef __cplusplus
    4263      extern "C"
    4264 #  endif
    4265    int F77_DUMMY_MAIN() { return 1; }
    4266 
    4267 #endif
    4268 int
    4269 main ()
    4270 {
    4271 
    4272   ;
    4273   return 0;
    4274 }
    4275 _ACEOF
    4276 rm -f conftest.$ac_objext conftest$ac_exeext
    4277 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4278   (eval $ac_link) 2>conftest.er1
    4279   ac_status=$?
    4280   grep -v '^ *+' conftest.er1 >conftest.err
    4281   rm -f conftest.er1
    4282   cat conftest.err >&5
    4283   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4284   (exit $ac_status); } &&
    4285          { ac_try='test -z "$ac_c_werror_flag"
    4286                          || test ! -s conftest.err'
    4287   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4288   (eval $ac_try) 2>&5
    4289   ac_status=$?
    4290   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4291   (exit $ac_status); }; } &&
    4292          { ac_try='test -s conftest$ac_exeext'
    4293   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4294   (eval $ac_try) 2>&5
    4295   ac_status=$?
    4296   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4297   (exit $ac_status); }; }; then
    4298   ac_cv_fortran_dummy_main=none
    4299 else
    4300   echo "$as_me: failed program was:" >&5
    4301 sed 's/^/| /' conftest.$ac_ext >&5
    4302 
    4303 ac_cv_fortran_dummy_main=unknown
    4304 fi
    4305 rm -f conftest.err conftest.$ac_objext \
    4306       conftest$ac_exeext conftest.$ac_ext
    4307 
    4308  if test $ac_cv_fortran_dummy_main = unknown; then
    4309    for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
    4310      cat >conftest.$ac_ext <<_ACEOF
    4311 /* confdefs.h.  */
    4312 _ACEOF
    4313 cat confdefs.h >>conftest.$ac_ext
    4314 cat >>conftest.$ac_ext <<_ACEOF
    4315 /* end confdefs.h.  */
    4316 #define $ac_fortran_dm_var $ac_func
    4317 #ifdef F77_DUMMY_MAIN
    4318 
    4319 #  ifdef __cplusplus
    4320      extern "C"
    4321 #  endif
    4322    int F77_DUMMY_MAIN() { return 1; }
    4323 
    4324 #endif
    4325 int
    4326 main ()
    4327 {
    4328 
    4329   ;
    4330   return 0;
    4331 }
    4332 _ACEOF
    4333 rm -f conftest.$ac_objext conftest$ac_exeext
    4334 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4335   (eval $ac_link) 2>conftest.er1
    4336   ac_status=$?
    4337   grep -v '^ *+' conftest.er1 >conftest.err
    4338   rm -f conftest.er1
    4339   cat conftest.err >&5
    4340   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4341   (exit $ac_status); } &&
    4342          { ac_try='test -z "$ac_c_werror_flag"
    4343                          || test ! -s conftest.err'
    4344   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4345   (eval $ac_try) 2>&5
    4346   ac_status=$?
    4347   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4348   (exit $ac_status); }; } &&
    4349          { ac_try='test -s conftest$ac_exeext'
    4350   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4351   (eval $ac_try) 2>&5
    4352   ac_status=$?
    4353   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4354   (exit $ac_status); }; }; then
    4355   ac_cv_fortran_dummy_main=$ac_func; break
    4356 else
    4357   echo "$as_me: failed program was:" >&5
    4358 sed 's/^/| /' conftest.$ac_ext >&5
    4359 
    4360 fi
    4361 rm -f conftest.err conftest.$ac_objext \
    4362       conftest$ac_exeext conftest.$ac_ext
    4363    done
    4364  fi
    4365  ac_ext=f
    4366 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4367 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4368 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4369  ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
    4370  rm -f conftest*
    4371  LIBS=$ac_f77_dm_save_LIBS
    4372 
    4373 fi
    4374 echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
    4375 echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
    4376 F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
    4377 if test "$F77_DUMMY_MAIN" != unknown; then
    4378   if test $F77_DUMMY_MAIN != none; then
    4379 
    4380 cat >>confdefs.h <<_ACEOF
    4381 #define F77_DUMMY_MAIN $F77_DUMMY_MAIN
    4382 _ACEOF
    4383 
    4384   if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
    4385 
    4386 cat >>confdefs.h <<\_ACEOF
    4387 #define FC_DUMMY_MAIN_EQ_F77 1
    4388 _ACEOF
    4389 
    4390   fi
    4391 fi
    4392 else
    4393   { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
    4394 See \`config.log' for more details." >&5
    4395 echo "$as_me: error: linking to Fortran libraries from C fails
    4396 See \`config.log' for more details." >&2;}
    4397    { (exit 1); exit 1; }; }
    4398 fi
    4399 
    4400 
    4401 ac_ext=f
    4402 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4403 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4404 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4405 
    4406 ac_ext=f
    4407 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4408 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4409 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4410 echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
    4411 echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
    4412 if test "${ac_cv_f77_mangling+set}" = set; then
    4413   echo $ECHO_N "(cached) $ECHO_C" >&6
    4414 else
    4415   cat >conftest.$ac_ext <<_ACEOF
    4416       subroutine foobar()
    4417       return
    4418       end
    4419       subroutine foo_bar()
    4420       return
    4421       end
    4422 _ACEOF
    4423 rm -f conftest.$ac_objext
    4424 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4425   (eval $ac_compile) 2>conftest.er1
    4426   ac_status=$?
    4427   grep -v '^ *+' conftest.er1 >conftest.err
    4428   rm -f conftest.er1
    4429   cat conftest.err >&5
    4430   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4431   (exit $ac_status); } &&
    4432          { ac_try='test -z "$ac_f77_werror_flag"
    4433                          || test ! -s conftest.err'
    4434   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4435   (eval $ac_try) 2>&5
    4436   ac_status=$?
    4437   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4438   (exit $ac_status); }; } &&
    4439          { ac_try='test -s conftest.$ac_objext'
    4440   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4441   (eval $ac_try) 2>&5
    4442   ac_status=$?
    4443   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4444   (exit $ac_status); }; }; then
    4445   mv conftest.$ac_objext cfortran_test.$ac_objext
    4446 
    4447   ac_save_LIBS=$LIBS
    4448   LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
    4449 
    4450   ac_ext=c
    4451 ac_cpp='$CPP $CPPFLAGS'
    4452 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4453 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4454 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4455   ac_success=no
    4456   for ac_foobar in foobar FOOBAR; do
    4457     for ac_underscore in "" "_"; do
    4458       ac_func="$ac_foobar$ac_underscore"
    4459       cat >conftest.$ac_ext <<_ACEOF
    4460 /* confdefs.h.  */
    4461 _ACEOF
    4462 cat confdefs.h >>conftest.$ac_ext
    4463 cat >>conftest.$ac_ext <<_ACEOF
    4464 /* end confdefs.h.  */
    4465 
    4466 /* Override any gcc2 internal prototype to avoid an error.  */
    4467 #ifdef __cplusplus
    4468 extern "C"
    4469 #endif
    4470 /* We use char because int might match the return type of a gcc2
    4471    builtin and then its argument prototype would still apply.  */
    4472 char $ac_func ();
    4473 #ifdef F77_DUMMY_MAIN
    4474 
    4475 #  ifdef __cplusplus
    4476      extern "C"
    4477 #  endif
    4478    int F77_DUMMY_MAIN() { return 1; }
    4479 
    4480 #endif
    4481 int
    4482 main ()
    4483 {
    4484 $ac_func ();
    4485   ;
    4486   return 0;
    4487 }
    4488 _ACEOF
    4489 rm -f conftest.$ac_objext conftest$ac_exeext
    4490 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4491   (eval $ac_link) 2>conftest.er1
    4492   ac_status=$?
    4493   grep -v '^ *+' conftest.er1 >conftest.err
    4494   rm -f conftest.er1
    4495   cat conftest.err >&5
    4496   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4497   (exit $ac_status); } &&
    4498          { ac_try='test -z "$ac_c_werror_flag"
    4499                          || test ! -s conftest.err'
    4500   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4501   (eval $ac_try) 2>&5
    4502   ac_status=$?
    4503   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4504   (exit $ac_status); }; } &&
    4505          { ac_try='test -s conftest$ac_exeext'
    4506   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4507   (eval $ac_try) 2>&5
    4508   ac_status=$?
    4509   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4510   (exit $ac_status); }; }; then
    4511   ac_success=yes; break 2
    4512 else
    4513   echo "$as_me: failed program was:" >&5
    4514 sed 's/^/| /' conftest.$ac_ext >&5
    4515 
    4516 fi
    4517 rm -f conftest.err conftest.$ac_objext \
    4518       conftest$ac_exeext conftest.$ac_ext
    4519     done
    4520   done
    4521   ac_ext=f
    4522 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4523 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4524 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4525 
    4526   if test "$ac_success" = "yes"; then
    4527      case $ac_foobar in
    4528         foobar)
    4529            ac_case=lower
    4530            ac_foo_bar=foo_bar
    4531            ;;
    4532         FOOBAR)
    4533            ac_case=upper
    4534            ac_foo_bar=FOO_BAR
    4535            ;;
    4536      esac
    4537 
    4538      ac_ext=c
    4539 ac_cpp='$CPP $CPPFLAGS'
    4540 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    4541 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4542 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    4543      ac_success_extra=no
    4544      for ac_extra in "" "_"; do
    4545         ac_func="$ac_foo_bar$ac_underscore$ac_extra"
    4546         cat >conftest.$ac_ext <<_ACEOF
    4547 /* confdefs.h.  */
    4548 _ACEOF
    4549 cat confdefs.h >>conftest.$ac_ext
    4550 cat >>conftest.$ac_ext <<_ACEOF
    4551 /* end confdefs.h.  */
    4552 
    4553 /* Override any gcc2 internal prototype to avoid an error.  */
    4554 #ifdef __cplusplus
    4555 extern "C"
    4556 #endif
    4557 /* We use char because int might match the return type of a gcc2
    4558    builtin and then its argument prototype would still apply.  */
    4559 char $ac_func ();
    4560 #ifdef F77_DUMMY_MAIN
    4561 
    4562 #  ifdef __cplusplus
    4563      extern "C"
    4564 #  endif
    4565    int F77_DUMMY_MAIN() { return 1; }
    4566 
    4567 #endif
    4568 int
    4569 main ()
    4570 {
    4571 $ac_func ();
    4572   ;
    4573   return 0;
    4574 }
    4575 _ACEOF
    4576 rm -f conftest.$ac_objext conftest$ac_exeext
    4577 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4578   (eval $ac_link) 2>conftest.er1
    4579   ac_status=$?
    4580   grep -v '^ *+' conftest.er1 >conftest.err
    4581   rm -f conftest.er1
    4582   cat conftest.err >&5
    4583   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4584   (exit $ac_status); } &&
    4585          { ac_try='test -z "$ac_c_werror_flag"
    4586                          || test ! -s conftest.err'
    4587   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4588   (eval $ac_try) 2>&5
    4589   ac_status=$?
    4590   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4591   (exit $ac_status); }; } &&
    4592          { ac_try='test -s conftest$ac_exeext'
    4593   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4594   (eval $ac_try) 2>&5
    4595   ac_status=$?
    4596   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4597   (exit $ac_status); }; }; then
    4598   ac_success_extra=yes; break
    4599 else
    4600   echo "$as_me: failed program was:" >&5
    4601 sed 's/^/| /' conftest.$ac_ext >&5
    4602 
    4603 fi
    4604 rm -f conftest.err conftest.$ac_objext \
    4605       conftest$ac_exeext conftest.$ac_ext
    4606      done
    4607      ac_ext=f
    4608 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4609 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4610 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4611 
    4612      if test "$ac_success_extra" = "yes"; then
    4613         ac_cv_f77_mangling="$ac_case case"
    4614         if test -z "$ac_underscore"; then
    4615            ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
    4616         else
    4617            ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
    4618         fi
    4619         if test -z "$ac_extra"; then
    4620            ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
    4621         else
    4622            ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
    4623         fi
    4624       else
    4625         ac_cv_f77_mangling="unknown"
    4626       fi
    4627   else
    4628      ac_cv_f77_mangling="unknown"
    4629   fi
    4630 
    4631   LIBS=$ac_save_LIBS
    4632   rm -f cfortran_test* conftest*
    4633 else
    4634   echo "$as_me: failed program was:" >&5
    4635 sed 's/^/| /' conftest.$ac_ext >&5
    4636 
    4637 { { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
    4638 See \`config.log' for more details." >&5
    4639 echo "$as_me: error: cannot compile a simple Fortran program
    4640 See \`config.log' for more details." >&2;}
    4641    { (exit 1); exit 1; }; }
    4642 fi
    4643 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4644 
    4645 fi
    4646 echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
    4647 echo "${ECHO_T}$ac_cv_f77_mangling" >&6
    4648 
    4649 ac_ext=f
    4650 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4651 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4652 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4653 
    4654 
    4655 ac_ext=f
    4656 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4657 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4658 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4659 
    4660 
    4661 ac_ext=f
    4662 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4663 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4664 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4665 
    4666 
    4667 case $ac_cv_f77_mangling in
    4668   "lower case, no underscore, no extra underscore")
    4669           cat >>confdefs.h <<\_ACEOF
    4670 #define F77_FUNC(name,NAME) name
    4671 _ACEOF
    4672 
    4673           cat >>confdefs.h <<\_ACEOF
    4674 #define F77_FUNC_(name,NAME) name
    4675 _ACEOF
    4676  ;;
    4677   "lower case, no underscore, extra underscore")
    4678           cat >>confdefs.h <<\_ACEOF
    4679 #define F77_FUNC(name,NAME) name
    4680 _ACEOF
    4681 
    4682           cat >>confdefs.h <<\_ACEOF
    4683 #define F77_FUNC_(name,NAME) name ## _
    4684 _ACEOF
    4685  ;;
    4686   "lower case, underscore, no extra underscore")
    4687           cat >>confdefs.h <<\_ACEOF
    4688 #define F77_FUNC(name,NAME) name ## _
    4689 _ACEOF
    4690 
    4691           cat >>confdefs.h <<\_ACEOF
    4692 #define F77_FUNC_(name,NAME) name ## _
    4693 _ACEOF
    4694  ;;
    4695   "lower case, underscore, extra underscore")
    4696           cat >>confdefs.h <<\_ACEOF
    4697 #define F77_FUNC(name,NAME) name ## _
    4698 _ACEOF
    4699 
    4700           cat >>confdefs.h <<\_ACEOF
    4701 #define F77_FUNC_(name,NAME) name ## __
    4702 _ACEOF
    4703  ;;
    4704   "upper case, no underscore, no extra underscore")
    4705           cat >>confdefs.h <<\_ACEOF
    4706 #define F77_FUNC(name,NAME) NAME
    4707 _ACEOF
    4708 
    4709           cat >>confdefs.h <<\_ACEOF
    4710 #define F77_FUNC_(name,NAME) NAME
    4711 _ACEOF
    4712  ;;
    4713   "upper case, no underscore, extra underscore")
    4714           cat >>confdefs.h <<\_ACEOF
    4715 #define F77_FUNC(name,NAME) NAME
    4716 _ACEOF
    4717 
    4718           cat >>confdefs.h <<\_ACEOF
    4719 #define F77_FUNC_(name,NAME) NAME ## _
    4720 _ACEOF
    4721  ;;
    4722   "upper case, underscore, no extra underscore")
    4723           cat >>confdefs.h <<\_ACEOF
    4724 #define F77_FUNC(name,NAME) NAME ## _
    4725 _ACEOF
    4726 
    4727           cat >>confdefs.h <<\_ACEOF
    4728 #define F77_FUNC_(name,NAME) NAME ## _
    4729 _ACEOF
    4730  ;;
    4731   "upper case, underscore, extra underscore")
    4732           cat >>confdefs.h <<\_ACEOF
    4733 #define F77_FUNC(name,NAME) NAME ## _
    4734 _ACEOF
    4735 
    4736           cat >>confdefs.h <<\_ACEOF
    4737 #define F77_FUNC_(name,NAME) NAME ## __
    4738 _ACEOF
    4739  ;;
    4740   *)
    4741           { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
    4742 echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
    4743           ;;
    4744 esac
    4745 
    4746 ac_ext=f
    4747 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    4748 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    4749 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    4750 
     4236orig_FLIBS="$FLIBS"
    47514237
    47524238# If FLIBS has been set by the user, we just restore its value here
     
    47734259  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
    47744260  # Further, excluding libc.lib from the default libs seemed to be necessary only for VS < 8.
    4775   # Since the corresponding flag seems to make more trouble that it avoid, it has been removed now.
     4261  # Since the corresponding flag seems to make more trouble than it avoids, it has been removed now.
    47764262     *-cygwin* | *-mingw*)
    47774263       case "$F77" in
     
    48014287  ac_cv_f77_libs="$FLIBS"
    48024288fi
     4289
     4290if test "x$orig_FLIBS" != "x$FLIBS" ; then
     4291  { echo "$as_me:$LINENO: Corrected Fortran libraries: $FLIBS" >&5
     4292echo "$as_me: Corrected Fortran libraries: $FLIBS" >&6;}
     4293fi
     4294
     4295ac_ext=f
     4296ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4297ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4298ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4299
     4300echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     4301echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     4302if test "${ac_cv_f77_dummy_main+set}" = set; then
     4303  echo $ECHO_N "(cached) $ECHO_C" >&6
     4304else
     4305  ac_f77_dm_save_LIBS=$LIBS
     4306 LIBS="$LIBS $FLIBS"
     4307 ac_fortran_dm_var=F77_DUMMY_MAIN
     4308 ac_ext=c
     4309ac_cpp='$CPP $CPPFLAGS'
     4310ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4311ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4312ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4313
     4314 # First, try linking without a dummy main:
     4315 cat >conftest.$ac_ext <<_ACEOF
     4316/* confdefs.h.  */
     4317_ACEOF
     4318cat confdefs.h >>conftest.$ac_ext
     4319cat >>conftest.$ac_ext <<_ACEOF
     4320/* end confdefs.h.  */
     4321
     4322#ifdef F77_DUMMY_MAIN
     4323
     4324#  ifdef __cplusplus
     4325     extern "C"
     4326#  endif
     4327   int F77_DUMMY_MAIN() { return 1; }
     4328
     4329#endif
     4330int
     4331main ()
     4332{
     4333
     4334  ;
     4335  return 0;
     4336}
     4337_ACEOF
     4338rm -f conftest.$ac_objext conftest$ac_exeext
     4339if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4340  (eval $ac_link) 2>conftest.er1
     4341  ac_status=$?
     4342  grep -v '^ *+' conftest.er1 >conftest.err
     4343  rm -f conftest.er1
     4344  cat conftest.err >&5
     4345  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4346  (exit $ac_status); } &&
     4347         { ac_try='test -z "$ac_c_werror_flag"
     4348                         || test ! -s conftest.err'
     4349  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4350  (eval $ac_try) 2>&5
     4351  ac_status=$?
     4352  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4353  (exit $ac_status); }; } &&
     4354         { ac_try='test -s conftest$ac_exeext'
     4355  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4356  (eval $ac_try) 2>&5
     4357  ac_status=$?
     4358  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4359  (exit $ac_status); }; }; then
     4360  ac_cv_fortran_dummy_main=none
     4361else
     4362  echo "$as_me: failed program was:" >&5
     4363sed 's/^/| /' conftest.$ac_ext >&5
     4364
     4365ac_cv_fortran_dummy_main=unknown
     4366fi
     4367rm -f conftest.err conftest.$ac_objext \
     4368      conftest$ac_exeext conftest.$ac_ext
     4369
     4370 if test $ac_cv_fortran_dummy_main = unknown; then
     4371   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     4372     cat >conftest.$ac_ext <<_ACEOF
     4373/* confdefs.h.  */
     4374_ACEOF
     4375cat confdefs.h >>conftest.$ac_ext
     4376cat >>conftest.$ac_ext <<_ACEOF
     4377/* end confdefs.h.  */
     4378#define $ac_fortran_dm_var $ac_func
     4379#ifdef F77_DUMMY_MAIN
     4380
     4381#  ifdef __cplusplus
     4382     extern "C"
     4383#  endif
     4384   int F77_DUMMY_MAIN() { return 1; }
     4385
     4386#endif
     4387int
     4388main ()
     4389{
     4390
     4391  ;
     4392  return 0;
     4393}
     4394_ACEOF
     4395rm -f conftest.$ac_objext conftest$ac_exeext
     4396if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4397  (eval $ac_link) 2>conftest.er1
     4398  ac_status=$?
     4399  grep -v '^ *+' conftest.er1 >conftest.err
     4400  rm -f conftest.er1
     4401  cat conftest.err >&5
     4402  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4403  (exit $ac_status); } &&
     4404         { ac_try='test -z "$ac_c_werror_flag"
     4405                         || test ! -s conftest.err'
     4406  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4407  (eval $ac_try) 2>&5
     4408  ac_status=$?
     4409  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4410  (exit $ac_status); }; } &&
     4411         { ac_try='test -s conftest$ac_exeext'
     4412  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4413  (eval $ac_try) 2>&5
     4414  ac_status=$?
     4415  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4416  (exit $ac_status); }; }; then
     4417  ac_cv_fortran_dummy_main=$ac_func; break
     4418else
     4419  echo "$as_me: failed program was:" >&5
     4420sed 's/^/| /' conftest.$ac_ext >&5
     4421
     4422fi
     4423rm -f conftest.err conftest.$ac_objext \
     4424      conftest$ac_exeext conftest.$ac_ext
     4425   done
     4426 fi
     4427 ac_ext=f
     4428ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4429ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4430ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4431 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     4432 rm -f conftest*
     4433 LIBS=$ac_f77_dm_save_LIBS
     4434
     4435fi
     4436echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     4437echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     4438F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     4439if test "$F77_DUMMY_MAIN" != unknown; then
     4440  if test $F77_DUMMY_MAIN != none; then
     4441
     4442cat >>confdefs.h <<_ACEOF
     4443#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     4444_ACEOF
     4445
     4446  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     4447
     4448cat >>confdefs.h <<\_ACEOF
     4449#define FC_DUMMY_MAIN_EQ_F77 1
     4450_ACEOF
     4451
     4452  fi
     4453fi
     4454else
     4455  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     4456See \`config.log' for more details." >&5
     4457echo "$as_me: error: linking to Fortran libraries from C fails
     4458See \`config.log' for more details." >&2;}
     4459   { (exit 1); exit 1; }; }
     4460fi
     4461
     4462
     4463ac_ext=f
     4464ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4465ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4466ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4467
     4468ac_ext=f
     4469ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4470ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4471ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4472echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     4473echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     4474if test "${ac_cv_f77_mangling+set}" = set; then
     4475  echo $ECHO_N "(cached) $ECHO_C" >&6
     4476else
     4477  cat >conftest.$ac_ext <<_ACEOF
     4478      subroutine foobar()
     4479      return
     4480      end
     4481      subroutine foo_bar()
     4482      return
     4483      end
     4484_ACEOF
     4485rm -f conftest.$ac_objext
     4486if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4487  (eval $ac_compile) 2>conftest.er1
     4488  ac_status=$?
     4489  grep -v '^ *+' conftest.er1 >conftest.err
     4490  rm -f conftest.er1
     4491  cat conftest.err >&5
     4492  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4493  (exit $ac_status); } &&
     4494         { ac_try='test -z "$ac_f77_werror_flag"
     4495                         || test ! -s conftest.err'
     4496  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4497  (eval $ac_try) 2>&5
     4498  ac_status=$?
     4499  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4500  (exit $ac_status); }; } &&
     4501         { ac_try='test -s conftest.$ac_objext'
     4502  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4503  (eval $ac_try) 2>&5
     4504  ac_status=$?
     4505  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4506  (exit $ac_status); }; }; then
     4507  mv conftest.$ac_objext cfortran_test.$ac_objext
     4508
     4509  ac_save_LIBS=$LIBS
     4510  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     4511
     4512  ac_ext=c
     4513ac_cpp='$CPP $CPPFLAGS'
     4514ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4515ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4516ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4517  ac_success=no
     4518  for ac_foobar in foobar FOOBAR; do
     4519    for ac_underscore in "" "_"; do
     4520      ac_func="$ac_foobar$ac_underscore"
     4521      cat >conftest.$ac_ext <<_ACEOF
     4522/* confdefs.h.  */
     4523_ACEOF
     4524cat confdefs.h >>conftest.$ac_ext
     4525cat >>conftest.$ac_ext <<_ACEOF
     4526/* end confdefs.h.  */
     4527
     4528/* Override any gcc2 internal prototype to avoid an error.  */
     4529#ifdef __cplusplus
     4530extern "C"
     4531#endif
     4532/* We use char because int might match the return type of a gcc2
     4533   builtin and then its argument prototype would still apply.  */
     4534char $ac_func ();
     4535#ifdef F77_DUMMY_MAIN
     4536
     4537#  ifdef __cplusplus
     4538     extern "C"
     4539#  endif
     4540   int F77_DUMMY_MAIN() { return 1; }
     4541
     4542#endif
     4543int
     4544main ()
     4545{
     4546$ac_func ();
     4547  ;
     4548  return 0;
     4549}
     4550_ACEOF
     4551rm -f conftest.$ac_objext conftest$ac_exeext
     4552if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4553  (eval $ac_link) 2>conftest.er1
     4554  ac_status=$?
     4555  grep -v '^ *+' conftest.er1 >conftest.err
     4556  rm -f conftest.er1
     4557  cat conftest.err >&5
     4558  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4559  (exit $ac_status); } &&
     4560         { ac_try='test -z "$ac_c_werror_flag"
     4561                         || test ! -s conftest.err'
     4562  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4563  (eval $ac_try) 2>&5
     4564  ac_status=$?
     4565  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4566  (exit $ac_status); }; } &&
     4567         { ac_try='test -s conftest$ac_exeext'
     4568  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4569  (eval $ac_try) 2>&5
     4570  ac_status=$?
     4571  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4572  (exit $ac_status); }; }; then
     4573  ac_success=yes; break 2
     4574else
     4575  echo "$as_me: failed program was:" >&5
     4576sed 's/^/| /' conftest.$ac_ext >&5
     4577
     4578fi
     4579rm -f conftest.err conftest.$ac_objext \
     4580      conftest$ac_exeext conftest.$ac_ext
     4581    done
     4582  done
     4583  ac_ext=f
     4584ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4585ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4586ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4587
     4588  if test "$ac_success" = "yes"; then
     4589     case $ac_foobar in
     4590        foobar)
     4591           ac_case=lower
     4592           ac_foo_bar=foo_bar
     4593           ;;
     4594        FOOBAR)
     4595           ac_case=upper
     4596           ac_foo_bar=FOO_BAR
     4597           ;;
     4598     esac
     4599
     4600     ac_ext=c
     4601ac_cpp='$CPP $CPPFLAGS'
     4602ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4603ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4604ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4605     ac_success_extra=no
     4606     for ac_extra in "" "_"; do
     4607        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     4608        cat >conftest.$ac_ext <<_ACEOF
     4609/* confdefs.h.  */
     4610_ACEOF
     4611cat confdefs.h >>conftest.$ac_ext
     4612cat >>conftest.$ac_ext <<_ACEOF
     4613/* end confdefs.h.  */
     4614
     4615/* Override any gcc2 internal prototype to avoid an error.  */
     4616#ifdef __cplusplus
     4617extern "C"
     4618#endif
     4619/* We use char because int might match the return type of a gcc2
     4620   builtin and then its argument prototype would still apply.  */
     4621char $ac_func ();
     4622#ifdef F77_DUMMY_MAIN
     4623
     4624#  ifdef __cplusplus
     4625     extern "C"
     4626#  endif
     4627   int F77_DUMMY_MAIN() { return 1; }
     4628
     4629#endif
     4630int
     4631main ()
     4632{
     4633$ac_func ();
     4634  ;
     4635  return 0;
     4636}
     4637_ACEOF
     4638rm -f conftest.$ac_objext conftest$ac_exeext
     4639if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4640  (eval $ac_link) 2>conftest.er1
     4641  ac_status=$?
     4642  grep -v '^ *+' conftest.er1 >conftest.err
     4643  rm -f conftest.er1
     4644  cat conftest.err >&5
     4645  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4646  (exit $ac_status); } &&
     4647         { ac_try='test -z "$ac_c_werror_flag"
     4648                         || test ! -s conftest.err'
     4649  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4650  (eval $ac_try) 2>&5
     4651  ac_status=$?
     4652  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4653  (exit $ac_status); }; } &&
     4654         { ac_try='test -s conftest$ac_exeext'
     4655  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4656  (eval $ac_try) 2>&5
     4657  ac_status=$?
     4658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4659  (exit $ac_status); }; }; then
     4660  ac_success_extra=yes; break
     4661else
     4662  echo "$as_me: failed program was:" >&5
     4663sed 's/^/| /' conftest.$ac_ext >&5
     4664
     4665fi
     4666rm -f conftest.err conftest.$ac_objext \
     4667      conftest$ac_exeext conftest.$ac_ext
     4668     done
     4669     ac_ext=f
     4670ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4671ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4672ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4673
     4674     if test "$ac_success_extra" = "yes"; then
     4675        ac_cv_f77_mangling="$ac_case case"
     4676        if test -z "$ac_underscore"; then
     4677           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     4678        else
     4679           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     4680        fi
     4681        if test -z "$ac_extra"; then
     4682           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     4683        else
     4684           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     4685        fi
     4686      else
     4687        ac_cv_f77_mangling="unknown"
     4688      fi
     4689  else
     4690     ac_cv_f77_mangling="unknown"
     4691  fi
     4692
     4693  LIBS=$ac_save_LIBS
     4694  rm -f cfortran_test* conftest*
     4695else
     4696  echo "$as_me: failed program was:" >&5
     4697sed 's/^/| /' conftest.$ac_ext >&5
     4698
     4699{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     4700See \`config.log' for more details." >&5
     4701echo "$as_me: error: cannot compile a simple Fortran program
     4702See \`config.log' for more details." >&2;}
     4703   { (exit 1); exit 1; }; }
     4704fi
     4705rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4706
     4707fi
     4708echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     4709echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     4710
     4711ac_ext=f
     4712ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4713ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4714ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4715
     4716
     4717ac_ext=f
     4718ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4719ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4720ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4721
     4722ac_ext=f
     4723ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4724ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4725ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4726
     4727
     4728case $ac_cv_f77_mangling in
     4729  "lower case, no underscore, no extra underscore")
     4730          cat >>confdefs.h <<\_ACEOF
     4731#define F77_FUNC(name,NAME) name
     4732_ACEOF
     4733
     4734          cat >>confdefs.h <<\_ACEOF
     4735#define F77_FUNC_(name,NAME) name
     4736_ACEOF
     4737 ;;
     4738  "lower case, no underscore, extra underscore")
     4739          cat >>confdefs.h <<\_ACEOF
     4740#define F77_FUNC(name,NAME) name
     4741_ACEOF
     4742
     4743          cat >>confdefs.h <<\_ACEOF
     4744#define F77_FUNC_(name,NAME) name ## _
     4745_ACEOF
     4746 ;;
     4747  "lower case, underscore, no extra underscore")
     4748          cat >>confdefs.h <<\_ACEOF
     4749#define F77_FUNC(name,NAME) name ## _
     4750_ACEOF
     4751
     4752          cat >>confdefs.h <<\_ACEOF
     4753#define F77_FUNC_(name,NAME) name ## _
     4754_ACEOF
     4755 ;;
     4756  "lower case, underscore, extra underscore")
     4757          cat >>confdefs.h <<\_ACEOF
     4758#define F77_FUNC(name,NAME) name ## _
     4759_ACEOF
     4760
     4761          cat >>confdefs.h <<\_ACEOF
     4762#define F77_FUNC_(name,NAME) name ## __
     4763_ACEOF
     4764 ;;
     4765  "upper case, no underscore, no extra underscore")
     4766          cat >>confdefs.h <<\_ACEOF
     4767#define F77_FUNC(name,NAME) NAME
     4768_ACEOF
     4769
     4770          cat >>confdefs.h <<\_ACEOF
     4771#define F77_FUNC_(name,NAME) NAME
     4772_ACEOF
     4773 ;;
     4774  "upper case, no underscore, extra underscore")
     4775          cat >>confdefs.h <<\_ACEOF
     4776#define F77_FUNC(name,NAME) NAME
     4777_ACEOF
     4778
     4779          cat >>confdefs.h <<\_ACEOF
     4780#define F77_FUNC_(name,NAME) NAME ## _
     4781_ACEOF
     4782 ;;
     4783  "upper case, underscore, no extra underscore")
     4784          cat >>confdefs.h <<\_ACEOF
     4785#define F77_FUNC(name,NAME) NAME ## _
     4786_ACEOF
     4787
     4788          cat >>confdefs.h <<\_ACEOF
     4789#define F77_FUNC_(name,NAME) NAME ## _
     4790_ACEOF
     4791 ;;
     4792  "upper case, underscore, extra underscore")
     4793          cat >>confdefs.h <<\_ACEOF
     4794#define F77_FUNC(name,NAME) NAME ## _
     4795_ACEOF
     4796
     4797          cat >>confdefs.h <<\_ACEOF
     4798#define F77_FUNC_(name,NAME) NAME ## __
     4799_ACEOF
     4800 ;;
     4801  *)
     4802          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     4803echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     4804          ;;
     4805esac
     4806
     4807ac_ext=f
     4808ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4809ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4810ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    48034811
    48044812ac_ext=c
     
    1002510033*-*-irix6*)
    1002610034  # Find out which ABI we are using.
    10027   echo '#line 10027 "configure"' > conftest.$ac_ext
     10035  echo '#line 10035 "configure"' > conftest.$ac_ext
    1002810036  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1002910037  (eval $ac_compile) 2>&5
     
    1250212510   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1250312511   -e 's:$: $lt_compiler_flag:'`
    12504    (eval echo "\"\$as_me:12504: $lt_compile\"" >&5)
     12512   (eval echo "\"\$as_me:12512: $lt_compile\"" >&5)
    1250512513   (eval "$lt_compile" 2>conftest.err)
    1250612514   ac_status=$?
    1250712515   cat conftest.err >&5
    12508    echo "$as_me:12508: \$? = $ac_status" >&5
     12516   echo "$as_me:12516: \$? = $ac_status" >&5
    1250912517   if (exit $ac_status) && test -s "$ac_outfile"; then
    1251012518     # The compiler can only warn and ignore the option if not recognized
     
    1277012778   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1277112779   -e 's:$: $lt_compiler_flag:'`
    12772    (eval echo "\"\$as_me:12772: $lt_compile\"" >&5)
     12780   (eval echo "\"\$as_me:12780: $lt_compile\"" >&5)
    1277312781   (eval "$lt_compile" 2>conftest.err)
    1277412782   ac_status=$?
    1277512783   cat conftest.err >&5
    12776    echo "$as_me:12776: \$? = $ac_status" >&5
     12784   echo "$as_me:12784: \$? = $ac_status" >&5
    1277712785   if (exit $ac_status) && test -s "$ac_outfile"; then
    1277812786     # The compiler can only warn and ignore the option if not recognized
     
    1287412882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287512883   -e 's:$: $lt_compiler_flag:'`
    12876    (eval echo "\"\$as_me:12876: $lt_compile\"" >&5)
     12884   (eval echo "\"\$as_me:12884: $lt_compile\"" >&5)
    1287712885   (eval "$lt_compile" 2>out/conftest.err)
    1287812886   ac_status=$?
    1287912887   cat out/conftest.err >&5
    12880    echo "$as_me:12880: \$? = $ac_status" >&5
     12888   echo "$as_me:12888: \$? = $ac_status" >&5
    1288112889   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1288212890   then
     
    1529115299  lt_status=$lt_dlunknown
    1529215300  cat > conftest.$ac_ext <<EOF
    15293 #line 15293 "configure"
     15301#line 15301 "configure"
    1529415302#include "confdefs.h"
    1529515303
     
    1539115399  lt_status=$lt_dlunknown
    1539215400  cat > conftest.$ac_ext <<EOF
    15393 #line 15393 "configure"
     15401#line 15401 "configure"
    1539415402#include "confdefs.h"
    1539515403
     
    1775117759   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775217760   -e 's:$: $lt_compiler_flag:'`
    17753    (eval echo "\"\$as_me:17753: $lt_compile\"" >&5)
     17761   (eval echo "\"\$as_me:17761: $lt_compile\"" >&5)
    1775417762   (eval "$lt_compile" 2>conftest.err)
    1775517763   ac_status=$?
    1775617764   cat conftest.err >&5
    17757    echo "$as_me:17757: \$? = $ac_status" >&5
     17765   echo "$as_me:17765: \$? = $ac_status" >&5
    1775817766   if (exit $ac_status) && test -s "$ac_outfile"; then
    1775917767     # The compiler can only warn and ignore the option if not recognized
     
    1785517863   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785617864   -e 's:$: $lt_compiler_flag:'`
    17857    (eval echo "\"\$as_me:17857: $lt_compile\"" >&5)
     17865   (eval echo "\"\$as_me:17865: $lt_compile\"" >&5)
    1785817866   (eval "$lt_compile" 2>out/conftest.err)
    1785917867   ac_status=$?
    1786017868   cat out/conftest.err >&5
    17861    echo "$as_me:17861: \$? = $ac_status" >&5
     17869   echo "$as_me:17869: \$? = $ac_status" >&5
    1786217870   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1786317871   then
     
    1942519433   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1942619434   -e 's:$: $lt_compiler_flag:'`
    19427    (eval echo "\"\$as_me:19427: $lt_compile\"" >&5)
     19435   (eval echo "\"\$as_me:19435: $lt_compile\"" >&5)
    1942819436   (eval "$lt_compile" 2>conftest.err)
    1942919437   ac_status=$?
    1943019438   cat conftest.err >&5
    19431    echo "$as_me:19431: \$? = $ac_status" >&5
     19439   echo "$as_me:19439: \$? = $ac_status" >&5
    1943219440   if (exit $ac_status) && test -s "$ac_outfile"; then
    1943319441     # The compiler can only warn and ignore the option if not recognized
     
    1952919537   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1953019538   -e 's:$: $lt_compiler_flag:'`
    19531    (eval echo "\"\$as_me:19531: $lt_compile\"" >&5)
     19539   (eval echo "\"\$as_me:19539: $lt_compile\"" >&5)
    1953219540   (eval "$lt_compile" 2>out/conftest.err)
    1953319541   ac_status=$?
    1953419542   cat out/conftest.err >&5
    19535    echo "$as_me:19535: \$? = $ac_status" >&5
     19543   echo "$as_me:19543: \$? = $ac_status" >&5
    1953619544   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1953719545   then
     
    2173621744   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2173721745   -e 's:$: $lt_compiler_flag:'`
    21738    (eval echo "\"\$as_me:21738: $lt_compile\"" >&5)
     21746   (eval echo "\"\$as_me:21746: $lt_compile\"" >&5)
    2173921747   (eval "$lt_compile" 2>conftest.err)
    2174021748   ac_status=$?
    2174121749   cat conftest.err >&5
    21742    echo "$as_me:21742: \$? = $ac_status" >&5
     21750   echo "$as_me:21750: \$? = $ac_status" >&5
    2174321751   if (exit $ac_status) && test -s "$ac_outfile"; then
    2174421752     # The compiler can only warn and ignore the option if not recognized
     
    2200422012   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2200522013   -e 's:$: $lt_compiler_flag:'`
    22006    (eval echo "\"\$as_me:22006: $lt_compile\"" >&5)
     22014   (eval echo "\"\$as_me:22014: $lt_compile\"" >&5)
    2200722015   (eval "$lt_compile" 2>conftest.err)
    2200822016   ac_status=$?
    2200922017   cat conftest.err >&5
    22010    echo "$as_me:22010: \$? = $ac_status" >&5
     22018   echo "$as_me:22018: \$? = $ac_status" >&5
    2201122019   if (exit $ac_status) && test -s "$ac_outfile"; then
    2201222020     # The compiler can only warn and ignore the option if not recognized
     
    2210822116   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2210922117   -e 's:$: $lt_compiler_flag:'`
    22110    (eval echo "\"\$as_me:22110: $lt_compile\"" >&5)
     22118   (eval echo "\"\$as_me:22118: $lt_compile\"" >&5)
    2211122119   (eval "$lt_compile" 2>out/conftest.err)
    2211222120   ac_status=$?
    2211322121   cat out/conftest.err >&5
    22114    echo "$as_me:22114: \$? = $ac_status" >&5
     22122   echo "$as_me:22122: \$? = $ac_status" >&5
    2211522123   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2211622124   then
Note: See TracChangeset for help on using the changeset viewer.